Bug 32705 - Unnecessary re-execution of post-rotate scripts
Unnecessary re-execution of post-rotate scripts
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-22 10:47 EST by Viraj Alankar
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 16:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viraj Alankar 2001-03-22 10:47:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-3 i686)


Looking at /etc/logrotate.d/apache, I see that a HUP is being sent to httpd
for every logfile. This seems like it is unnecessary. Why not have the
logrotate program keep track of what post-rotate script would be run for
all rotations, and if they are identical scripts, just run it once and not
every time. When many virtual hosts are used with many logfiles, the
sending of so many HUPs seems unnecessary.

Reproducible: Always
Steps to Reproduce:
Not really a bug, but feature request, so there are no steps.
Comment 1 Erik Troan 2001-06-21 16:18:14 EDT
This is in the logrotate man page (which doesn't make it right, but it's not
going to be fixed soon).

Note You need to log in before you can comment on or make changes to this bug.